#!/bin/sh

DOVECOTIMAPOPTIONS=""
if [ -n "$MAIL" ] ; then
     # test to see whether maildir or mbox is prefixed in $MAIL
     checkmaildir=`echo $MAIL | grep -E '^maildir:'`
     checkmbox=`echo $MAIL | grep -E '^mbox:'`
     if [ ! -n "$checkmaildir" ] && [ ! -n "$checkmbox" ] ; then
	# if mailbox is a directory, assume it is maildir
	# otherwise assume it is mbox
	if [ -d "$MAIL" ] ; then
	    export MAIL=maildir:`echo $MAIL | sed 's@:@::@g'`
	else
	    export MAIL=mbox:`echo $MAIL | sed 's@:@::@g'`
	fi
     fi
     # we need to know dovecot is v1 or v2
     # as v1 is not supporting the options
     # -O -o mail_location=... ...
     if [ -x "/usr/sbin/dovecot" ] ; then
	dovecotversion=`/usr/sbin/dovecot --version | cut -f1 -d '.'`
	if [ "x$dovecotversion" == "x2" ] ; then
	    DOVECOTIMAPOPTIONS="-O -o mail_location=$MAIL"
	fi
     fi
fi
exec "$@" $DOVECOTIMAPOPTIONS
